Service error codes are universal, reusable error codes for common API and service-level exceptions that can occur in any module.The %s in error messages are placeholders used to indicate where a specific value, such as an Order ID or an item name, will be inserted when the actual error message is displayed.
Category
Error Code
Message
How to resolve
API (Client-Side)
SERVICE-4002
Invalid values specified for %s.
The SERVICE-4002 error indicates that one or more of the values you provided in your request are not acceptable. To resolve this error, update the invalid values specified in the error message and retry the request.
API (Client-Side)
SERVICE-4003
Mandatory parameters: %s is/are missing.
If you’re using fabric APIs, your request needs specific required headers and sometimes parameters. If any of these are missing, you’ll get a service error that tells you exactly what’s needed.
API (Client-Side)
SERVICE-4004
Specified %s doesn’t exist.
This error occurs when a specified parameter such as an Order ID, Allocation ID, or Payment ID doesn’t exist.
Double-check the ID for typos and retry your request.
If the ID still doesn’t work, confirm the data was previously ingested into fabric.
API (Client-Side)
SERVICE-4005
Specified %s already created/creation is in-progress.
This error occurs when records are still being processed by fabric. The time to process records can take up to 20 minutes depending on the number of records being processed. Please wait a few minutes and try again.
API (Client-Side)
SERVICE-4006
This record has been modified by another request…
This error can occur when multiple requests try to modify the same record at the same time. It is recommended that you set up a retry mechanism in your code. This error is often resolved by re-submitting a request. If the error persists, contact fabric support.
API (Client-Side)
SERVICE-4007
Multiple fields are invalid/missing.
This error means there are several issues with your request’s fields. For instance, your order number might be null, or a required item could be missing from the payload. The error message will tell you exactly what’s wrong. Once you add or correct the missing fields, the error will resolve.
Service (Server-Side)
SERVICE-3000
Downstream service error: %s.
Sometimes, errors originate from fabric integrations with payment systems or other external services. When this happens, fabric can tell you which service caused the problem, but to resolve it, you’ll need to check the logs for that specific integration. For example, if it’s a payment issue, you’d look at your payment integration logs.
Service (Server-Side)
SERVICE-3001
Resource creation/update error: %s.
This error means there was a problem when trying to create or update a resource. The %s in the message will typically be replaced by more specific details about why the creation or update failed.
Service (Server-Side)
SERVICE-5000
Internal service error.
This error means something went wrong on our end. Please check for any service disruptions with fabric or other connected downstream services you rely on.
Service (Server-Side)
SERVICE-5001
Service timeout: %s.
A service timeout happens after 20 seconds. If a timeout occurs, retry the request. If a timeout continues to happen, contact fabric support.
{ "type": "CLIENT_ERROR", "errorCode": "SERVICE-4006", "message": "This record has been modified by another request, please resubmit.", "context": { "service": "allocations", "endpoint": "PUT /v3/allocations/allocation-request-id/1000667280" }}
SERVICE-4007 Error
{ "type": "CLIENT_ERROR", "errorCode": "SERVICE-4007", "message": "Multiple field(s) are invalid/missing", "errors": [ { "type": "CLIENT_ERROR", "errorCode": "SERVICE-4000", "message": "items must be added to the request payload!" }, { "type": "CLIENT_ERROR", "errorCode": "SERVICE-4000", "message": "'orderNumber' can't be null" } ], "context": { "service": "orders", "endpoint": "POST /v3/orders" }}
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Fabric","colors":{"primary":"#ff2ec1","light":"#ff2ec1","dark":"#ff2ec1"},"logo":{"light":"https://mintcdn.com/fabric-demo/OzlZxX-hOwze1Aen/logo/darkneon.png?fit=max\u0026auto=format\u0026n=OzlZxX-hOwze1Aen\u0026q=85\u0026s=332d2284d5f41dc42f5b9e0bcd473872","dark":"https://mintcdn.com/fabric-demo/OzlZxX-hOwze1Aen/logo/darkneon.png?fit=max\u0026auto=format\u0026n=OzlZxX-hOwze1Aen\u0026q=85\u0026s=332d2284d5f41dc42f5b9e0bcd473872","href":"https://developer.fabric.inc"},"favicon":"https://mintcdn.com/fabric-demo/ZXHlkaduf1S9hYir/neon-favicon.webp?fit=max\u0026auto=format\u0026n=ZXHlkaduf1S9hYir\u0026q=85\u0026s=fc87341b907a3b0ed573af9c896468b2","navbar":{"primary":{"type":"button","label":"Request Demo","href":"https://fabric.inc/demo-request"}},"footer":{"socials":{"twitter":"https://twitter.com/fabric_commerce?lang=en","linkedin":"https://www.linkedin.com/company/teamfabric"}},"integrations":{"ga4":{"measurementId":"G-5RS60WM116"}},"contextual":{"options":["copy","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"fabric-demo","hasAudioNarration":false,"actualSubdomain":"fabric-demo","customDomains":["developer.fabric.inc"],"gitSource":{"type":"gitlab","owner":"fabric2/docs","repo":"developer-docs","projectId":58049997,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae91effb06fa73e673c75b6:success","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"default","tag":"API Reference","count":721},{"language":"default","tag":"Orders \u0026 Inventory","count":276},{"language":"default","tag":"Product Catalog","count":245},{"language":"default","tag":"Dropship","count":242},{"language":"default","tag":"Orders v2 (OMS v2)","count":162},{"language":"default","tag":"Orders API Endpoints","count":145},{"language":"default","tag":"Customer","count":144},{"language":"default","tag":"Offers","count":118},{"language":"default","tag":"Product Catalog API","count":102},{"language":"default","tag":"Orders v1 (OMS v1)","count":100}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 100;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiAyp8kv8JHgFVrJJLmE0tDMPKzSQ.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 100;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiAyp8kv8JHgFVrJJLmE0tMMPKzSQ.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 100;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiAyp8kv8JHgFVrJJLmE0tCMPI.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 200;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmv1pVFteOcEg.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 200;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmv1pVGdeOcEg.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 200;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmv1pVF9eO.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 300;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm21lVFteOcEg.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 300;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm21lVGdeOcEg.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 300;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm21lVF9eO.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiGyp8kv8JHgFVrJJLucXtAKPY.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiGyp8kv8JHgFVrJJLufntAKPY.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiGyp8kv8JHgFVrJJLucHtA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmg1hVFteOcEg.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmg1hVGdeOcEg.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmg1hVF9eO.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmr19VFteOcEg.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmr19VGdeOcEg.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmr19VF9eO.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmy15VFteOcEg.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmy15VGdeOcEg.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLmy15VF9eO.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm111VFteOcEg.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm111VGdeOcEg.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm111VF9eO.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm81xVFteOcEg.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm81xVGdeOcEg.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: italic;\n font-weight: 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiDyp8kv8JHgFVrJJLm81xVF9eO.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 100;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiGyp8kv8JHgFVrLPTucXtAKPY.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 100;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiGyp8kv8JHgFVrLPTufntAKPY.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 100;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiGyp8kv8JHgFVrLPTucHtA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 200;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLFj_Z11lFc-K.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 200;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLFj_Z1JlFc-K.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 200;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLFj_Z1xlFQ.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLDz8Z11lFc-K.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLDz8Z1JlFc-K.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLDz8Z1xlFQ.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiEyp8kv8JHgFVrJJbecmNE.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiEyp8kv8JHgFVrJJnecmNE.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiEyp8kv8JHgFVrJJfecg.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLGT9Z11lFc-K.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLGT9Z1JlFc-K.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLGT9Z1xlFQ.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLEj6Z11lFc-K.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLEj6Z1JlFc-K.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLEj6Z1xlFQ.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLCz7Z11lFc-K.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLCz7Z1JlFc-K.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLCz7Z1xlFQ.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLDD4Z11lFc-K.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLDD4Z1JlFc-K.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLDD4Z1xlFQ.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* devanagari */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLBT5Z11lFc-K.woff2) format('woff2');\n unicode-range: U+0900-097F, U+1CD0-1CF4, U+1CF7-1CF9, U+200C-200D, U+20A8, U+20B9, U+20F0, U+25CC, U+A830-A839, U+A8E0-A8FF, U+11B00-11B0A;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLBT5Z1JlFc-K.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Poppins';\n font-style: normal;\n font-weight: 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/poppins/v24/pxiByp8kv8JHgFVrLBT5Z1xlFQ.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\nhtml,body,h1,h2,h3,h4,h5,h6,p,span,a{font-family:Poppins}#navbar{background:#000000}#navbar .bg-background-light{background:#000000}#navbar #search-bar-entry{background:rgb(var(--background-dark)/var(--tw-bg-opacity))}#navbar [id^=\"radix\"].bg-background-light{border-radius:8px;background:#fff;color:rgb(var(--gray-500));border:none}#navbar .dark\\:text-gray-300{color:rgb(var(--gray-300))}#navbar .dark\\:bg-primary-light{--tw-bg-opacity: 1;background-color:rgb(var(--primary-light) / var(--tw-bg-opacity))}#navbar .text-gray-800{color:rgb(var(--gray-200))}#navbar .text-gray-600{color:#d4d4d4}#topbar-cta-button .rounded-full,#topbar-cta-button .rounded-full:is(.dark *){border-radius:31px;background:#000000;box-shadow:0px 7.57px 30.28px 0px rgba(0, 0, 0, 0.08);border:none}#topbar-cta-button .dark\\:text-primary-light,#topbar-cta-button .dark\\:text-primary-light:is(.dark *){color:#FFF;text-align:center;font-size:14px;font-style:normal;font-weight:500;line-height:20px;letter-spacing:-0.084px}.bodyContainer{max-width:63rem;margin:auto;background:transparent}.bodyFull{background:url(\"images/hero-background-unmasked-1.svg\");position:relative;overflow:hidden}.bodyFull:is(.dark *),.bodyContainer:is(.dark *){background-color:transparent}.box-full{border-radius:8px;box-shadow:0px 7.57px 30.28px 0px rgba(0, 0, 0, 0.08);padding:16px 20px}.box-full:is(.dark *){background-color:#4d354d;border:1px solid rgba(255, 255, 255, 0.20)}button p{font-size:18px}button .bg-primary-light{background-color:#121213}.twocol-cntr{width:75%;margin:auto;margin-top:1rem}.gap-x-4{column-gap:1rem;row-gap:1rem}.pink-boxes .card.block{background-color:#fff;border:1px solid #D9ACD9;height:161px}.pink-boxes .card.block h2{font-size:28px;font-weight:300}.my-2{margin:0}.pink-boxes.dark\\:bg-background-dark:is(.dark *){background-color:#0c0a0f!important;z-index:-1;border-radius:15px}.pink-boxes.dark\\:bg-background-dark:is(.dark *) .card.block{background-color:transparent;border:1px solid #494949;position:relative}.three-col.dark\\:bg-background-dark:is(.dark *),.twocol-cntr.dark\\:bg-background-dark:is(.dark *){background-color:#0c0a0f!important;z-index:-1;border-radius:15px}.three-col.dark\\:bg-background-dark:not(.dark *),.twocol-cntr.dark\\:bg-background-dark:not(.dark *){background-color:#fff!important;z-index:-1;border-radius:15px}.bg-primary{background-color:rgb(var(--gray-950) / var(--tw-bg-opacity))}.image-boxes h2{font-size:24px;font-weight:600;line-height:32px;letter-spacing:-0.2px}.subtitle{text-align:center;font-size:20px;font-style:normal;font-weight:400;line-height:28px;letter-spacing:0.04px;width:70%;margin:auto}.spacer{height:80px}.resource-boxes{text-align:center}.resource-boxes .dark\\:bg-background-dark:is(.dark *){background-color:#121213}.bodyContainer hr{border-color:rgb(227, 223, 226)}.bodyContainer:is(.dark *) hr{border-color:#27272A}.col-lg-6{width:50%}.footer{padding-bottom:2.5rem;display:flex;background:transparent}.footer .dark\\:bg-background-dark:is(.dark *){background-color:transparent}.footer li,.footer p{font-size:14px;font-style:normal;font-weight:600;line-height:24px;letter-spacing:-0.084px;margin-top:12px}.footer li a{color:#ff2ec1}.footer .updated.col-lg-6{display:flex;justify-content:flex-end}.fa-thin.fa-question-circle{mask-image:url(\n \"https://mintlify.b-cdn.net/v6.6.0/regular/question.svg\");mask-repeat:no-repeat;mask-position:center center}.fa-thin.fa-headphones{mask-image:url(\n \"https://mintlify.b-cdn.net/v6.6.0/regular/headphones.svg\");mask-repeat:no-repeat;mask-position:center center}.fa-thin.fa-list{mask-image:url(\n \"https://mintlify.b-cdn.net/v6.6.0/regular/list.svg\");mask-repeat:no-repeat;mask-position:center center}.fa-thin:is(.dark *){background-color:#fff}.footer.bg-background-light{background-color:transparent}.dark\\:text-gray-400:is(.dark *){color:#FFF}#navbar-transition{display:none}.callout{border-color:rgba(255 46 193 0.5);background-color:rgba(255 46 193 0.3)}"}],"page":{"pagePath":"v3/error-codes/system-errors","slug":"/v3/error-codes/system-errors","pageMetadata":{"title":"Service Error Codes","sidebarTitle":"Service Errors","description":null,"href":"/v3/error-codes/system-errors"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Accordion,CodeBlock,Heading,Table}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Service error codes are universal, reusable error codes for common API and service-level exceptions that can occur in any module.`}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`%s`}),` in error messages are placeholders used to indicate where a specific value, such as an Order ID or an item name, will be inserted when the actual error message is displayed.`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Category`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Error Code`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Message`}),_jsx(_components.th,{style:{textAlign:`left`},children:`How to resolve`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`API (Client-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-4002`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Invalid values specified for `,_jsx(_components.code,{children:`%s`}),`.`]}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`The `,_jsx(_components.strong,{children:`SERVICE-4002`}),` error indicates that one or more of the values you provided in your request are not acceptable. To resolve this error, update the invalid values specified in the error message and retry the request.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`API (Client-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-4003`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Mandatory parameters: `,_jsx(_components.code,{children:`%s`}),` is/are missing.`]}),_jsx(_components.td,{style:{textAlign:`left`},children:`If you’re using fabric APIs, your request needs specific required headers and sometimes parameters. If any of these are missing, you’ll get a service error that tells you exactly what’s needed.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`API (Client-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-4004`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Specified `,_jsx(_components.code,{children:`%s`}),` doesn’t exist.`]}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`This error occurs when a specified parameter such as an Order ID, Allocation ID, or Payment ID doesn’t exist. `,_jsx(`ul`,{children:` Double-check the ID for typos and retry your request. `}),` `,_jsx(`ul`,{children:` If the ID still doesn’t work, confirm the data was previously ingested into fabric. `})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`API (Client-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-4005`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Specified `,_jsx(_components.code,{children:`%s`}),` already created/creation is in-progress.`]}),_jsx(_components.td,{style:{textAlign:`left`},children:`This error occurs when records are still being processed by fabric. The time to process records can take up to 20 minutes depending on the number of records being processed. Please wait a few minutes and try again.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`API (Client-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-4006`}),_jsx(_components.td,{style:{textAlign:`left`},children:`This record has been modified by another request…`}),_jsx(_components.td,{style:{textAlign:`left`},children:`This error can occur when multiple requests try to modify the same record at the same time. It is recommended that you set up a retry mechanism in your code. This error is often resolved by re-submitting a request. If the error persists, contact fabric support.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`API (Client-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-4007`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Multiple fields are invalid/missing.`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`This error means there are several issues with your request’s fields. For instance, your order number might be `,_jsx(_components.code,{children:`null`}),`, or a required item could be missing from the payload. The error message will tell you exactly what’s wrong. Once you add or correct the missing fields, the error will resolve.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Service (Server-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-3000`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Downstream service error: `,_jsx(_components.code,{children:`%s`}),`.`]}),_jsx(_components.td,{style:{textAlign:`left`},children:`Sometimes, errors originate from fabric integrations with payment systems or other external services. When this happens, fabric can tell you which service caused the problem, but to resolve it, you’ll need to check the logs for that specific integration. For example, if it’s a payment issue, you’d look at your payment integration logs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Service (Server-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-3001`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Resource creation/update error: `,_jsx(_components.code,{children:`%s`}),`.`]}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`This error means there was a problem when trying to create or update a resource. The `,_jsx(_components.code,{children:`%s`}),` in the message will typically be replaced by more specific details about why the creation or update failed.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Service (Server-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-5000`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Internal service error.`}),_jsx(_components.td,{style:{textAlign:`left`},children:`This error means something went wrong on our end. Please check for any service disruptions with fabric or other connected downstream services you rely on.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Service (Server-Side)`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`SERVICE-5001`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Service timeout: `,_jsx(_components.code,{children:`%s`}),`.`]}),_jsx(_components.td,{style:{textAlign:`left`},children:`A service timeout happens after 20 seconds. If a timeout occurs, retry the request. If a timeout continues to happen, contact fabric support.`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`example-service-errors`,children:`Example service errors`}),`\n`,_jsx(Accordion,{title:`SERVICE-4003 Error`,id:`service-4003-error`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`10`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CLIENT_ERROR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SERVICE-4003\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'\"Mandatory param(s): `Header: X-Fabric-Channel-Id` is/are missing\"'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"context\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"service\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"orders\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"endpoint\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"POST /v3/orders\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Accordion,{title:`SERVICE-4004 Error`,id:`service-4004-error`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CLIENT_ERROR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SERVICE-4004\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'\"Specified `OrderId: 44354534543` doesn\\'t exist\"'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"context\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"service\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"orders\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"endpoint\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GET /v3/orders/44354534543\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Accordion,{title:`SERVICE-4005 Error`,id:`service-4005-error`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CLIENT_ERROR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SERVICE-4005\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'\"Specified `orderNumber: oms_1750783753456` already created/creation is in-progress\"'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"context\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"service\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"orders\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"endpoint\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"POST /v3/orders\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Accordion,{title:`SERVICE-4006 Error`,id:`service-4006-error`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CLIENT_ERROR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SERVICE-4006\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This record has been modified by another request, please resubmit.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"context\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"service\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"allocations\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"endpoint\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PUT /v3/allocations/allocation-request-id/1000667280\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Accordion,{title:`SERVICE-4007 Error`,id:`service-4007-error`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`21`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`21`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CLIENT_ERROR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SERVICE-4007\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Multiple field(s) are invalid/missing\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CLIENT_ERROR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SERVICE-4000\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"items must be added to the request payload!\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CLIENT_ERROR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SERVICE-4000\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"'orderNumber' can't be null\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"context\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"service\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"orders\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"endpoint\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"POST /v3/orders\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Service Error Codes","sidebarTitle":"Service Errors","description":null,"href":"/v3/error-codes/system-errors"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Example service errors","slug":"example-service-errors","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/fabric-demo/6a81ae5b5ebc4bb2/theme.js","/_mintlify/custom/fabric-demo/aebbe2ead0ce64f7/top-form.v1.js","/_mintlify/custom/fabric-demo/5b243c7a49e8f495/gtag.js"],"subdomain":"fabric-demo","siteName":"Fabric","title":"Service Error Codes - Fabric","navMaps":{"firstHrefInVersion":{"Product Agent":{"href":"/home","matchLevel":4},"v3":{"href":"/v3/error-codes/system-errors","matchLevel":0},"v2":{"href":"/v2/home","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-06-09T07:29:30.742Z","originalFileLocation":"v3/error-codes/system-errors.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Fabric\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Service Error Codes - Fabric\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Fabric\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.fabric.inc/v3/error-codes/system-errors\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://fabric-demo.mintlify.site/_mintlify/api/og/v2?division=Error+Codes\u0026amp;title=Service+Error+Codes\u0026amp;theme=578f3bc8f816b5181d05040f\u0026amp;signature=c5f9ab4b35882f953485dfcbf8b3ce14005a7cc2d9478e6066202c9d485a1ee1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Service Error Codes - Fabric\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://fabric-demo.mintlify.site/_mintlify/api/og/v2?division=Error+Codes\u0026amp;title=Service+Error+Codes\u0026amp;theme=578f3bc8f816b5181d05040f\u0026amp;signature=c5f9ab4b35882f953485dfcbf8b3ce14005a7cc2d9478e6066202c9d485a1ee1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/fabric-demo/4aXl3Y2Jab1lmXrs/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Fabric\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#ff2ec1\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.fabric.inc/v3/error-codes/system-errors\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v3/error-codes/system-errors.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.fabric.inc/#organization\",\"name\":\"Fabric\",\"url\":\"https://developer.fabric.inc\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/fabric-demo/OzlZxX-hOwze1Aen/logo/darkneon.png?fit=max\u0026auto=format\u0026n=OzlZxX-hOwze1Aen\u0026q=85\u0026s=332d2284d5f41dc42f5b9e0bcd473872\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.fabric.inc#website\",\"name\":\"Fabric\",\"url\":\"https://developer.fabric.inc\",\"publisher\":{\"@id\":\"https://developer.fabric.inc/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.fabric.inc/v3/error-codes/system-errors#webpage\",\"url\":\"https://developer.fabric.inc/v3/error-codes/system-errors\",\"name\":\"Service Error Codes\",\"dateModified\":\"2026-06-09T07:29:30.742Z\",\"isPartOf\":{\"@id\":\"https://developer.fabric.inc#website\"},\"breadcrumb\":{\"@id\":\"https://developer.fabric.inc/v3/error-codes/system-errors#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.fabric.inc/v3/error-codes/system-errors#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Error Codes\",\"item\":\"https://developer.fabric.inc/v3/error-codes/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Service Error Codes\",\"item\":\"https://developer.fabric.inc/v3/error-codes/system-errors\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://developer.fabric.inc/v3/error-codes/system-errors#article\",\"headline\":\"Service Error Codes\",\"name\":\"Service Error Codes\",\"url\":\"https://developer.fabric.inc/v3/error-codes/system-errors\",\"mainEntityOfPage\":{\"@id\":\"https://developer.fabric.inc/v3/error-codes/system-errors#webpage\"},\"dateModified\":\"2026-06-09T07:29:30.742Z\",\"publisher\":{\"@id\":\"https://developer.fabric.inc/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.fabric.inc#website\"}}]}\u003c/script>","agentPointerHref":"/v3/error-codes/system-errors.md","siteName":"Fabric","nav":{"global":null,"versions":[{"version":"Product Agent","pages":[{"title":"Product Agent","href":"/home"}]},{"version":"v3","tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/v3/home"}]},{"tab":"Getting Started","pages":[{"title":"Getting Started","href":"/v3/getting-started/overview"}]},{"tab":"Orders \u0026 Inventory","groups":[{"group":"Orders \u0026 Inventory","pages":[{"title":"Overview","href":"/v3/orders-and-inventory/homepage"}]},{"group":"Order User Guides","pages":[{"title":"Overview","href":"/v3/orders-and-inventory/user-guides/orders/overview"},{"group":"Order Management","pages":[{"title":"Overview","href":"/v3/orders-and-inventory/user-guides/orders/order-management/overview"},{"title":"Creating an Order","href":"/v3/orders-and-inventory/user-guides/orders/order-management/creating-an-order"},{"title":"Viewing Orders","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-orders"},{"title":"Filtering Orders","href":"/v3/orders-and-inventory/user-guides/orders/order-management/filtering-orders"},{"title":"Viewing Allocations","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-allocations"},{"title":"Viewing Shipments","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-shipments"},{"title":"Viewing Invoices","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-invoices"},{"title":"Adding Products to an Existing Order","href":"/v3/orders-and-inventory/user-guides/orders/order-management/adding-products-to-existing-order"},{"title":"Updating a Shipping Address","href":"/v3/orders-and-inventory/user-guides/orders/order-management/updating-shipping-address"},{"title":"Processing returns","href":"/v3/orders-and-inventory/user-guides/orders/order-management/returning-orders"},{"title":"Creating Appeasement Refunds","href":"/v3/orders-and-inventory/user-guides/orders/order-management/appeasements"},{"title":"Processing Exchanges","href":"/v3/orders-and-inventory/user-guides/orders/order-management/exchange-orders"},{"title":"Canceling Items in an Order","href":"/v3/orders-and-inventory/user-guides/orders/order-management/cancel-skus"},{"title":"Exporting Orders","href":"/v3/orders-and-inventory/user-guides/orders/order-management/exporting-orders"},{"group":"Viewing Order Details","pages":[{"title":"Viewing Order Basic Details","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-details-of-an-order/basic-details"},{"title":"Viewing Allocation Details","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-details-of-an-order/allocation-details"},{"title":"Viewing Shipment Details","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-details-of-an-order/shipment-details"},{"title":"Viewing Invoice Details","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-details-of-an-order/invoice-details"},{"title":"Viewing an Orders Activity Log","href":"/v3/orders-and-inventory/user-guides/orders/order-management/viewing-details-of-an-order/viewing-activity-log"}]}]},{"group":"Order Fulfillment Logic","pages":[{"title":"Order Fulfillment Logic Overview","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/user-guides/orders/order-fulfillment-logic/order-fulfillment-logic"},{"title":"Creating a Rule Set","href":"/v3/orders-and-inventory/user-guides/orders/order-fulfillment-logic/create-a-new-rule-set-ui"},{"title":"Updating a Rule Set","href":"/v3/orders-and-inventory/user-guides/orders/order-fulfillment-logic/manage-rule-sets"}]},{"group":"Smart Order Routing","pages":[{"title":"Smart Order Routing","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/user-guides/orders/smart-order-routing/overview"},{"title":"Setting Goals and Constraints","href":"/v3/orders-and-inventory/user-guides/orders/smart-order-routing/setting-goals-and-constraints"},{"title":"Viewing Smart Order Routing Rules","sidebarTitle":"Viewing Rules","href":"/v3/orders-and-inventory/user-guides/orders/smart-order-routing/viewing-rules"},{"title":"Testing Suggested Fulfillment Rules","href":"/v3/orders-and-inventory/user-guides/orders/smart-order-routing/testing-rules"},{"title":"Viewing Smart Order Routing Scores","sidebarTitle":"Viewing Scores","href":"/v3/orders-and-inventory/user-guides/orders/smart-order-routing/viewing-scores"},{"title":"Activating Smart Order Routing Rules","sidebarTitle":"Activate a Saved Ruleset","href":"/v3/orders-and-inventory/user-guides/orders/smart-order-routing/activating-rules"},{"title":"Viewing Smart Order Routing History","sidebarTitle":"Viewing History","href":"/v3/orders-and-inventory/user-guides/orders/smart-order-routing/viewing-history"}]},{"title":"Activity Log","href":"/v3/orders-and-inventory/user-guides/orders/activity-log"},{"group":"Configurations","pages":[{"title":"Overview","href":"/v3/orders-and-inventory/user-guides/orders/configurations/overview"},{"title":"Reallocation and Cancellation Rules","href":"/v3/orders-and-inventory/user-guides/orders/configurations/reallocation"},{"title":"Order Attributes","href":"/v3/orders-and-inventory/user-guides/orders/configurations/order-attributes"},{"title":"Shipping Methods","href":"/v3/orders-and-inventory/user-guides/orders/configurations/shipping-methods"},{"title":"Backorder \u0026 Preorder Configurations","href":"/v3/orders-and-inventory/user-guides/orders/configurations/backorder-preorder"},{"title":"Order Policies","href":"/v3/orders-and-inventory/user-guides/orders/configurations/policies"}]}]},{"group":"Inventory User Guides","pages":[{"title":"Overview","href":"/v3/orders-and-inventory/user-guides/inventory/overview"},{"title":"Inventory","href":"/v3/orders-and-inventory/user-guides/inventory/manage-inventory-overview"},{"group":"Locations","pages":[{"title":"Locations Overview","href":"/v3/orders-and-inventory/user-guides/inventory/locations-overview"},{"title":"Creating a Location","href":"/v3/orders-and-inventory/user-guides/inventory/create-location"},{"title":"Configuring Scheduled Closures","href":"/v3/orders-and-inventory/user-guides/inventory/scheduledclosures"},{"title":"Importing Locations","href":"/v3/orders-and-inventory/user-guides/inventory/import-locations"},{"title":"Exporting Locations","href":"/v3/orders-and-inventory/user-guides/inventory/export-locations"}]},{"group":"Networks","pages":[{"title":"Networks Overview","href":"/v3/orders-and-inventory/user-guides/inventory/networks-overview"},{"title":"Create a Network","href":"/v3/orders-and-inventory/user-guides/inventory/create-a-network"}]},{"title":"Zones","href":"/v3/orders-and-inventory/user-guides/inventory/create-a-zone"},{"title":"Geographic Regions","href":"/v3/orders-and-inventory/user-guides/inventory/create-geo"},{"title":"Activity Log","href":"/v3/orders-and-inventory/user-guides/inventory/activity-log"}]},{"group":"Error Codes","pages":[{"title":"Standardized Error Codes in fabric","sidebarTitle":"Overview","description":null,"href":"/v3/error-codes/overview"},{"title":"Service Error Codes","sidebarTitle":"Service Errors","href":"/v3/error-codes/system-errors"},{"group":"Orders \u0026 Inventory","pages":[{"title":"Order Error Codes","sidebarTitle":"ORDER: 2001-2039","description":null,"href":"/v3/error-codes/order-errors"},{"title":"Allocation Error Codes","sidebarTitle":"ALLOCATION: 2001-2009","href":"/v3/error-codes/allocation-errors"},{"title":"Shipment Error Codes","sidebarTitle":"SHIPMENT: 2001-2011","href":"/v3/error-codes/shipment-errors"},{"title":"Inventory Error Codes","sidebarTitle":"INVENTORY: 2001-2004","href":"/v3/error-codes/inventory-errors"},{"title":"Invoice Error Codes","sidebarTitle":"INVOICE: 2001-2007","href":"/v3/error-codes/invoice-errors"},{"title":"Location Error Codes","sidebarTitle":"LOCATION: 2001-2012","href":"/v3/error-codes/location-errors"}]}]},{"group":"Orders API Endpoints","pages":[{"title":"Orders (3.0.0)","href":"/v3/orders-and-inventory/api-reference/orders/orders--3-0-0"},{"group":"Developer Guide","pages":[{"title":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/overview"},{"title":"Configuration Template Guide","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/configuration-template-guide"},{"title":"Importing order and inventory data","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/order-and-inventory-import"},{"title":"Inventory Setup","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/inventory-setup"},{"title":"Order Fulfillment","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/order-fulfillment"},{"title":"Order Exchange","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/order-exchange"},{"title":"Order Return","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/order-return"},{"title":"List of Webhook Events","href":"/v3/orders-and-inventory/api-reference/orders/developer-guide/list-of-webhook-events"}]},{"title":"Orders FAQ","href":"/v3/orders-and-inventory/api-reference/orders/orders-faq-s"},{"group":"Shopping Lists","pages":[{"title":"Getting Started with Lists","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/shopping-lists/overview"},{"openapi":"lists.openapi delete /lists/{listId}","title":"Delete a shopping list by ID","href":"/v3/orders-and-inventory/api-reference/orders/shopping-lists/delete-a-shopping-list-by-id"},{"openapi":"lists.openapi get /lists/users/{userId}","title":"Get shopping lists of a user","href":"/v3/orders-and-inventory/api-reference/orders/shopping-lists/get-shopping-lists-of-a-user"},{"openapi":"lists.openapi put /lists/{listId}","title":"Update a shopping list by ID","href":"/v3/orders-and-inventory/api-reference/orders/shopping-lists/update-a-shopping-list-by-id"},{"openapi":"lists.openapi post /lists","title":"Create shopping list","href":"/v3/orders-and-inventory/api-reference/orders/shopping-lists/create-shopping-list"},{"openapi":"lists.openapi get /lists/{listId}","title":"Get a shopping list by ID","href":"/v3/orders-and-inventory/api-reference/orders/shopping-lists/get-a-shopping-list-by-id"},{"openapi":"lists.openapi get /lists/{listId}/actions/get-list-details","title":"Get shopping list and its items","href":"/v3/orders-and-inventory/api-reference/orders/shopping-list-items/get-shopping-list-and-its-items"},{"openapi":"lists.openapi get /lists/users/{userId}/actions/get-list-details-with-items","title":"Get shopping lists of a user along with associated items","href":"/v3/orders-and-inventory/api-reference/orders/shopping-list-items/get-shopping-lists-of-a-user-along-with-associated-items"},{"openapi":"lists.openapi get /lists/{listId}/list-items","title":"Get shopping list items by list ID","href":"/v3/orders-and-inventory/api-reference/orders/shopping-list-items/get-shopping-list-items-by-list-id"},{"openapi":"lists.openapi post /lists/{listId}/actions/delete-list-items","title":"Delete items from shopping list","href":"/v3/orders-and-inventory/api-reference/orders/shopping-list-items/delete-items-from-shopping-list"},{"openapi":"lists.openapi post /lists/{listId}/actions/add-or-update-list-items","title":"Add or update items in a shopping list","href":"/v3/orders-and-inventory/api-reference/orders/shopping-list-items/add-or-update-items-in-a-shopping-list"}]},{"group":"Shipping Methods","pages":[{"openapi":"shipping-methods.openapi post /shipping-methods/search","title":"Find shipping methods","href":"/v3/orders-and-inventory/api-reference/orders/shipping-methods/find-shipping-methods"},{"openapi":"shipping-methods.openapi delete /shipping-methods/{shippingMethodId}","title":"Delete shipping method","href":"/v3/orders-and-inventory/api-reference/orders/shipping-methods/delete-shipping-method"},{"openapi":"shipping-methods.openapi post /shipping-methods","title":"Create shipping method","href":"/v3/orders-and-inventory/api-reference/orders/shipping-methods/create-shipping-method"},{"openapi":"shipping-methods.openapi get /shipping-methods/{shippingMethodId}","title":"Get shipping method","href":"/v3/orders-and-inventory/api-reference/orders/shipping-methods/get-shipping-method"},{"openapi":"shipping-methods.openapi put /shipping-methods/{shippingMethodId}","title":"Update shipping method","href":"/v3/orders-and-inventory/api-reference/orders/shipping-methods/update-shipping-method"},{"openapi":"shipping-methods.openapi get /shipping-methods/{shippingMethodId}/items","title":"Get item IDs for given shipping method","href":"/v3/orders-and-inventory/api-reference/orders/shipping-method-items/get-item-ids-for-given-shipping-method"},{"openapi":"shipping-methods.openapi post /shipping-methods/{shippingMethodId}/actions/add-items","title":"Add items to shipping method","href":"/v3/orders-and-inventory/api-reference/orders/shipping-method-items/add-items-to-shipping-method"},{"openapi":"shipping-methods.openapi post /shipping-methods/{shippingMethodId}/actions/delete-items","title":"Delete items from shipping method","href":"/v3/orders-and-inventory/api-reference/orders/shipping-method-items/delete-items-from-shipping-method"},{"openapi":"shipping-methods.openapi post /shipping-methods/actions/filter-by-item-id","title":"Get shipping methods","href":"/v3/orders-and-inventory/api-reference/orders/shipping-method-items/get-shipping-methods"}]},{"group":"Imports","pages":[{"title":"Getting Started with Imports","href":"/v3/orders-and-inventory/api-reference/orders/imports/overview"},{"openapi":"imports.openapi post /oms-imports","title":"Upload bulk file to import data","href":"/v3/orders-and-inventory/api-reference/orders/imports/upload-bulk-file-to-import-data"},{"openapi":"imports.openapi post /oms-imports/search","title":"Get uploaded files that match specified criteria","href":"/v3/orders-and-inventory/api-reference/orders/imports/get-uploaded-files-that-match-specified-criteria"},{"openapi":"imports.openapi get /oms-imports/{importId}","title":"Get uploaded file status and details","href":"/v3/orders-and-inventory/api-reference/orders/imports/get-uploaded-file-status-and-details"}]},{"group":"Exports","pages":[{"title":"Getting Started with Exports","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/exports/overview"},{"openapi":"exports.openapi get /oms-exports/{exportId}","title":"Get export job by exportId","href":"/v3/orders-and-inventory/api-reference/orders/exports/get-export-job-by-exportid"},{"openapi":"exports.openapi post /oms-exports/search","title":"Get export jobs by query","href":"/v3/orders-and-inventory/api-reference/orders/exports/get-export-jobs-by-query"},{"openapi":"exports.openapi post /oms-exports","title":"Export data by query","href":"/v3/orders-and-inventory/api-reference/orders/exports/export-data-by-query"},{"openapi":"exports.openapi get /oms-exports/module-headers/{module}","title":"Get file headers by module","href":"/v3/orders-and-inventory/api-reference/orders/exports/get-file-headers-by-module"}]},{"group":"Orders","pages":[{"title":"Getting Started with Orders","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/orders/overview"},{"openapi":"orders.openapi post /orders","title":"Create new order","href":"/v3/orders-and-inventory/api-reference/orders/orders/create-new-order"},{"openapi":"orders.openapi get /orders/order-number/{orderNumber}","title":"Get order by order number","href":"/v3/orders-and-inventory/api-reference/orders/orders/get-order-by-order-number"},{"openapi":"orders.openapi get /orders/{orderId}","title":"Get order by order ID","href":"/v3/orders-and-inventory/api-reference/orders/orders/get-order-by-order-id"},{"openapi":"orders.openapi post /orders/search","title":"Search for Orders","href":"/v3/orders-and-inventory/api-reference/orders/orders/find-orders"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/update-attributes","title":"Update Shipping information for an existing order by order number","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-attributes"},{"openapi":"orders.openapi post /orders/{orderIdType}/{orderIdValue}/actions/update-attributes","title":"Update order attributes by order identifier","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-attributes-by-order-id-type"},{"openapi":"orders.openapi post /orders/{orderId}/actions/update-attributes","title":"Update Order Attributes","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-attributes-by-id"},{"openapi":"orders.openapi post /orders/actions/update-customer","title":"Update customer details for given order IDs","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-customer-details-for-given-order-ids"},{"openapi":"orders.openapi put /orders/{orderId}/ship-info/{shipToId}/pickup","title":"Updates order pick-up details","href":"/v3/orders-and-inventory/api-reference/orders/orders/updates-order-pick-up-details"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/check-credits-eligibility","title":"Check credits eligibility by order number","href":"/v3/orders-and-inventory/api-reference/orders/orders/check-credit-eligibility"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/check-exchange-eligibility","title":"Get order exchange eligibility by order number","href":"/v3/orders-and-inventory/api-reference/orders/orders/check-exchange-eligibility"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/check-appeasement-eligibility","title":"Check appeasement eligibility by order number","href":"/v3/orders-and-inventory/api-reference/orders/orders/check-appeasement-eligibility"},{"openapi":"orders.openapi post /orders/{orderId}/actions/check-appeasement-eligibility","title":"Check appeasement eligibility by order ID","href":"/v3/orders-and-inventory/api-reference/orders/orders/check-appeasement-eligibility-by-id"},{"openapi":"orders.openapi put /orders/{orderIdentifierType}/{orderIdentifierValue}/payments/{paymentCounter}/payment-logs","title":"Add a payment log entry for a specific payment","href":"/v3/orders-and-inventory/api-reference/orders/orders/add-payment-log-entry"},{"openapi":"orders.openapi put /orders/{orderIdentifierType}/{orderIdentifierValue}/payments/{paymentCounter}/bill-to-address","title":"Update bill-to address for a specific payment","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-bill-to-address"},{"openapi":"orders.openapi put /orders/{orderIdentifierType}/{orderIdentifierValue}/ship-info/{shipToId}/ship-to-address","title":"Update a ship-to address for a specific shipToId","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-order-status-state"},{"openapi":"orders.openapi post /orders/{orderIdentifierType}/{orderIdentifierValue}/actions/update-status","title":"Update an order’s status with state transition","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-ship-to-address"},{"openapi":"orders.openapi post /orders/{orderIdentifierType}/{orderIdentifierValue}/actions/update-fees-and-taxes","title":"Update order fees and taxes","href":"/v3/orders-and-inventory/api-reference/orders/orders/update-fees-and-taxes"}]},{"group":"Frauds","pages":[{"title":"Getting Started with Frauds","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/frauds/overview"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/fraud-cancel","title":"Cancel fraud order by order number","href":"/v3/orders-and-inventory/api-reference/orders/frauds/cancel-fraud-order-by-order-number"},{"openapi":"orders.openapi post /orders/{orderId}/actions/fraud-cancel","title":"Cancel fraud order by order ID","href":"/v3/orders-and-inventory/api-reference/orders/frauds/cancel-fraud-order-by-order-id"},{"openapi":"orders.openapi post /orders/{orderId}/actions/fraud-release","title":"Release fraud order by order ID","href":"/v3/orders-and-inventory/api-reference/orders/frauds/release-fraud-order-by-order-id"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/fraud-release","title":"Release fraud order","href":"/v3/orders-and-inventory/api-reference/orders/frauds/release-fraud-order"}]},{"group":"Notifications","pages":[{"title":"Getting Started with Notifications","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/notifications/overview"},{"openapi":"notifications.openapi post /oms-notifications/acknowledge","title":"Get acknowledgment receipt for notification","href":"/v3/orders-and-inventory/api-reference/orders/notifications/get-acknowledgment-receipt-for-notification"},{"openapi":"notifications.openapi post /oms-notifications/actions/resend","title":"Resend notifications","href":"/v3/orders-and-inventory/api-reference/orders/notifications/resend-notifications"}]},{"group":"Backorders Preorders","pages":[{"title":"Getting Started with Backorders \u0026 Preorders","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/backorders-preorders/overview"},{"openapi":"backorders-preorders.openapi post /backorders-preorders/search","title":"Search for backorders or preorders by query","href":"/v3/orders-and-inventory/api-reference/orders/backorders-preorders/search-for-backorders-or-preorders-by-query"},{"openapi":"backorders-preorders.openapi post /backorders-preorders/{id}/actions/save-delay-consent","title":"Record customer agreement to delay shipment","href":"/v3/orders-and-inventory/api-reference/orders/backorders-preorders/record-customer-agreement-to-delay-shipment"},{"openapi":"backorders-preorders.openapi get /backorders-preorders/{id}","title":"Get backorder or preorder details by ID","href":"/v3/orders-and-inventory/api-reference/orders/backorders-preorders/get-backorder-or-preorder-details-by-id"}]},{"group":"Cancellations","pages":[{"title":"Getting Started with Cancellations","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/cancellations/overview"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/cancel","title":"Cancel order by order number","href":"/v3/orders-and-inventory/api-reference/orders/cancellations/cancel-order-by-order-number"},{"openapi":"orders.openapi post /orders/{orderId}/actions/cancel","title":"Cancel order by order ID","href":"/v3/orders-and-inventory/api-reference/orders/cancellations/cancel-order-by-order-id"},{"openapi":"orders.openapi post /orders/{orderIdType}/{orderIdValue}/actions/cancel","title":"Cancel order by order identifier","href":"/v3/orders-and-inventory/api-reference/orders/cancellations/cancel-by-order-id-type"},{"openapi":"orders.openapi post /orders/{orderId}/actions/check-cancel-eligibility","title":"Get order cancellation eligibility by order ID","href":"/v3/orders-and-inventory/api-reference/orders/cancellations/get-order-cancellation-eligibility-by-order-id"},{"openapi":"orders.openapi post /orders/order-number/{orderNumber}/actions/check-cancel-eligibility","title":"Get order cancellation eligibility by order number","href":"/v3/orders-and-inventory/api-reference/orders/cancellations/get-order-cancellation-eligibility-by-order-number"},{"openapi":"orders.openapi post /orders/{orderIdType}/{orderIdValue}/actions/check-cancel-eligibility","title":"Check order cancellation eligibility by order identifier","href":"/v3/orders-and-inventory/api-reference/orders/cancellations/check-by-order-id-type"}]},{"group":"Allocations","pages":[{"title":"Getting Started with Allocations","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/allocations/overview"},{"openapi":"allocations.openapi post /allocations/search","title":"Search for allocations by query","href":"/v3/orders-and-inventory/api-reference/orders/allocations/search-for-allocations-by-query"},{"openapi":"allocations.openapi post /allocations/actions/create-allocations","title":"Create allocations","href":"/v3/orders-and-inventory/api-reference/orders/allocations/create-allocation"},{"openapi":"allocations.openapi get /allocations/{allocationIdType}/{allocationIdValue}","title":"Get allocation by ID type and ID value","href":"/v3/orders-and-inventory/api-reference/orders/allocations/get-by-type-and-id"},{"openapi":"allocations.openapi put /allocations/{allocationIdType}/{allocationIdValue}","title":"Update allocation or initiate reallocation","href":"/v3/orders-and-inventory/api-reference/orders/allocations/update-by-type-and-id"},{"openapi":"allocations.openapi get /allocations/{allocationId}","title":"Get allocation by ID","href":"/v3/orders-and-inventory/api-reference/orders/allocations/get-allocation-by-id"},{"openapi":"allocations.openapi post /allocations/{allocationId}/actions/update-attributes","title":"Update allocation attributes","href":"/v3/orders-and-inventory/api-reference/orders/allocations/update-attributes"},{"openapi":"allocations.openapi post /allocations/{allocationIdType}/{allocationIdValue}/actions/update-status","title":"Update allocation status","href":"/v3/orders-and-inventory/api-reference/orders/allocations/update-status"}]},{"group":"Shipments","pages":[{"title":"Getting Started with Shipments","href":"/v3/orders-and-inventory/api-reference/orders/shipments/overview"},{"openapi":"shipments.openapi post /shipments","title":"Create new shipment","href":"/v3/orders-and-inventory/api-reference/orders/shipments/create-new-shipment"},{"openapi":"shipments.openapi post /shipments/create-order-shipment","title":"Create shipment for an existing order","href":"/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation"},{"openapi":"shipments.openapi get /shipments/{shipmentId}","title":"Get shipment by ID","href":"/v3/orders-and-inventory/api-reference/orders/shipments/get-shipment-by-id"},{"openapi":"shipments.openapi get /shipments/{shipmentIdType}/{shipmentIdValue}","title":"Get shipment by shipmentIdType and shipmentIdValue","href":"/v3/orders-and-inventory/api-reference/orders/shipments/get-shipment-by-type-and-id"},{"openapi":"shipments.openapi post /shipments/{shipmentId}/actions/update-gift-cards-status","title":"Update gift card activation status","href":"/v3/orders-and-inventory/api-reference/orders/shipments/update-gift-card-activation-status"},{"openapi":"shipments.openapi post /shipments/{shipmentId}/acknowledge","title":"Acknowledge shipment","href":"/v3/orders-and-inventory/api-reference/orders/shipments/acknowledge-shipment"},{"openapi":"shipments.openapi post /shipments/search","title":"Find shipments","href":"/v3/orders-and-inventory/api-reference/orders/shipments/find-shipments"},{"openapi":"shipments.openapi post /shipments/actions/re-ship","title":"Create re-shipment","href":"/v3/orders-and-inventory/api-reference/orders/shipments/create-re-shipment"},{"openapi":"shipments.openapi post /shipments/actions/update-tracking","title":"Update shipment tracking","href":"/v3/orders-and-inventory/api-reference/orders/shipments/update-shipment-tracking"}]},{"group":"Inventory Transfers","pages":[{"openapi":"shipments.openapi post /shipments/inventory-transfer","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/create-inventory-transfer"},{"openapi":"shipments.openapi get /shipments/inventory-transfer/{transferShipmentId}","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/get-inventory-transfer-by-transfershipmentid"},{"openapi":"shipments.openapi post /shipments/inventory-transfer/pack-unpack","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/packing-and-unpacking"},{"openapi":"shipments.openapi post /shipments/inventory-transfer/query","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/inventory-transfer-query"},{"openapi":"shipments.openapi post /shipments/inventory-transfer/search","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/inventory-transfer-search"},{"openapi":"shipments.openapi post /shipments/inventory-transfer/actions/update-tracking","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/update-tracking-for-an-inventory-transfer"},{"openapi":"shipments.openapi post /shipments/inventory-transfer/{transferShipmentId}/actions/package-tracking-acknowledge","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/package-tracking-acknowledge"},{"openapi":"shipments.openapi post /shipments/inventory-transfer/{transferShipmentId}/action/receiving","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/receive-inventory-tracking"},{"openapi":"shipments.openapi post /shipments/inventory-transfer/{transferShipmentId}/action/cancel","title":null,"href":"/v3/orders-and-inventory/api-reference/orders/inventory-transfer/cancel-inventory-transfer"}]},{"group":"Tracking","pages":[{"title":"Getting Started with Tracking","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/tracking/overview"},{"openapi":"orders.openapi put /orders/order-number/{orderNumber}/actions/package-tracking-acknowledge","title":"Get acknowledgement for package tracking by order number","href":"/v3/orders-and-inventory/api-reference/orders/tracking/get-acknowledgement-for-package-tracking-by-order-number"},{"openapi":"orders.openapi put /orders/{orderId}/actions/package-tracking-acknowledge","title":"Get package tracking acknowledgement by order ID","href":"/v3/orders-and-inventory/api-reference/orders/tracking/get-package-tracking-acknowledgement-by-order-id"}]},{"group":"Invoices","pages":[{"title":"Getting Started with Invoices","sidebarTitle":"Overview","href":"/v3/orders-and-inventory/api-reference/orders/invoices/overview"},{"openapi":"invoices.openapi post /invoices","title":"Create invoice","href":"/v3/orders-and-inventory/api-reference/orders/invoices/create-invoice"},{"openapi":"invoices.openapi post /invoices/search","title":"Search for invoices","href":"/v3/orders-and-inventory/api-reference/orders/invoices/search-for-invoices"},{"openapi"
[...]
